[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Objects' (#rtl)

# TStrCollection.GetItem

Read a null-terminated string from the stream.

## Declaration

Source position: objects.pp line 462

`function TStrCollection.GetItem(`
`var S: TStream`
`):Pointer; virtual;`

## Description

GetItem reads a null-terminated string from the stream S and returns a pointer to it. It doesn't insert the string in the collection.

This method is primarily introduced to be able to load and store the collection from and to a stream.

## Errors

The errors returned are those of TStream.StrRead.

## See also

TStrCollection.PutItem |  | Write a null-terminated string to the stream.

Documentation generated on: Feb 26 2014